<?

/*******************************************************************************

 HYPERLIB - A generic PHP funtion library

 Copyright  2004 Rubem Pechansky
 pechansky@hypervisual.com

 Database wrapper functions for WinBinder (MySQL-specific)

*******************************************************************************/

// TODO: Not tested yet

//-------------------------------------------------------------------- LIBRARIES

if(!extension_loaded('mysql'))
	dl('php_mysql.dll');			// For PHP 5

//-------------------------------------------------------------------- CONSTANTS

define("FETCH_BOTH", 	MYSQL_BOTH);
define("FETCH_NUM",		MYSQL_NUM);
define("FETCH_ASSOC",	MYSQL_ASSOC);

//----------------------------------------------------------- DATABASE FUNCTIONS

/* Opens and connects a database. Create the database if it does not exist. */

function db_open_database($database, $server="", $username="", $password="")
{
	if(!mysql_query("CREATE DATABASE IF NOT EXISTS " . $database))
		die(mysql_error);
	if(!mysql_select_db($database))
		die(mysql_error);

	$conn = mysql_connect($server, $username, $password);
	if(!$conn)
		trigger_error(__FUNCTION__ . mysql_error);
	else {
		if(!mysql_select_db($database))
			trigger_error(__FUNCTION__ . mysql_error);
	}
	return $conn;
}

/* Returns an array with the list of tables of the current database. */

function db_list_database_tables($database)
{
	return mysql_list_tables($database);
}

//---------------------------------------------------------------- SQL FUNCTIONS

function db_query($query)
{
	return mysql_query($query);
}

function db_fetch_array($result, $type=FETCH_BOTH)
{
	return mysql_fetch_array($result, $type);
}

function db_fetch_object($result, $type=FETCH_BOTH)
{
	return mysql_fetch_object($result);
}

function db_free_result($result)
{
	mysql_free_result($result);
}

function db_escape_string($str)
{
	return mysql_real_escape_string($str);
}

//-------------------------------------------------------------- TABLE FUNCTIONS

function db_rename_table($tablename, $newname)
{
	global $g_lasttable;

	if(!$tablename)
		$tablename = $g_lasttable;

	mysql_query("RENAME TABLE $tablename TO $newname");
	$g_lasttable = $newname;
}

//-------------------------------------------------------------- FIELD FUNCTIONS

function db_delete_field($tablename, $field)
{
	global $g_lasttable;

	if(!$tablename)
		$tablename = $g_lasttable;
	$g_lasttable = $tablename;

	mysql_query("ALTER TABLE $tablename DROP $field");
}

function db_create_field($tablename, $field, $type)
{
	global $g_lasttable;

	if(!$tablename)
		$tablename = $g_lasttable;
	$g_lasttable = $tablename;

	mysql_query("ALTER TABLE $tablename ADD $field $type");
}

function db_edit_field($tablename, $field, $type)
{
	global $g_lasttable;

	if(!$tablename)
		$tablename = $g_lasttable;
	$g_lasttable = $tablename;

	mysql_query("ALTER TABLE $tablename MODIFY $field $type");
}

function db_rename_field($tablename, $field, $newname)
{
	global $g_lasttable;

	if(!$tablename)
		$tablename = $g_lasttable;
	$g_lasttable = $tablename;

	mysql_query("ALTER TABLE $tablename CHANGE $field $newname");
}

//------------------------------------------------------------------ END OF FILE

?>
