<?
class WbWidget extends WbObject{
	Function __construct(){
		parent::__construct();
	}
	Function __get($var){
		switch($var){
			case "visible":
				$ret = wb_get_visible($this->address);
				break;
			case "text":
				$ret = wb_get_text($this->address);
				break;
			case "width":
				$ret = wb_get_size($this->address);
				$ret = $ret[0];
				break;
			case "height":
				$ret = wb_get_size($this->address);
				$ret = $ret[1];
				break;
			case "left":
				$ret = wb_get_position($this->address);
				$ret = $ret[0];
				break;
			case "top":
				$ret = wb_get_position($this->address);
				$ret = $ret[1];
				break;
			default:
				$ret = parent::__get($var);
		}
		return $ret;
	}
	Function __set($var, $value){
		switch($var){
			case "visible":
				wb_set_visible($this->address, $value);
				break;
			case "text":
				wb_set_text($this->address, $value);
				break;
			case "width":
				wb_set_size($this->address, $value, $this->height);
				break;
			case "height":
				wb_set_size($this->address, $this->width, $value);
				break;
			case "left":
				wb_set_position($this->address, $value, $this->top);
				break;
			case "top":
				wb_set_position($this->address, $this->left, $value);
				break;
			default:
				parent::__set($var, $value);
		}
	}
	Function refresh(){
		return wb_refresh($this->address);
	}
	Function sendMessage($message, $wparam, $lparam){
		return wb_send_message($this->address, $message, $wparam, $lparam);
	}
	Function setFocus(){
		return wb_set_focus($this->address);
	}
	 Function setImage($source, $index=false, $transparentColor=false, $lparam=false){
		/**
			Can be called in two different ways:
				setImage(WbImage $source);
				setImage(string  $source, $index=false, $transparentcolor=false, $lparam=false)
		**/
		return (!is_string($source))?
			wb_set_image($this->address, $source->address):
			wb_set_image($this->address, $source, $index, $transparentColor, $lparam);
	}
}

class WbHolder extends WbWidget{
	Function getControl($id){
		return wb_get_control($this->address, $id);
	}	
}
