<?php

//----------------------------------------------------------------- DEPENDENCIES

include_once("../inc/winbinder.php");

//-------------------------------------------------------------------- FUNCTIONS

function test_treeview($window)
{
	// Treeview

	$tree = wb_get_control($window, IDC_TREEVIEW3004);

	wb_set_image($tree, PATH_RES . "treeview.bmp", 0, GREEN, 10);
	wb_create_items($tree, array(
		array(0, "Hello",	2, 3),
		array(1, "Hallo"),
		array(1, "Hi",		6, 7),
		array(1, "Oi"),
		array(1, "Oye",		4, 5),
		array(2, "Hola"),
		array(1, "Aloha"),
		array(0, "Allo",	2, 3),
		array(1, "Ol"),
		array(1, "Al"),
		array(1, "Viva"),
	));
/*
	wb_set_text($tree, array(
		"Level 1",
		"\tLevel 2",
		"\tLevel 2",
		"\t\tLevel 3",
		"\tLevel 2",
		"\t\tLevel 3",
		"Level 1",
		"\tLevel 2",
		"\tLevel 2",
		"\t\tLevel 3",
		"\t\tLevel 3",
		"\t\tLevel 3",
		"\t\tLevel 3",
		"Level 1",
		"\tLevel 2",
		"\tLevel 2",
		"\t\tLevel 3",
		"\t\t\tLevel 4",
		"Level 1",
	));
*/
	wb_set_enabled(wb_get_control($window, IDC_BUTTON3063), false);
}

// Window handler

function process_test_treeview($window, $id, $ctrl=0, $lparam=0)
{
	switch($id) {

		case IDC_BUTTON3063:
			$tree = wb_get_control($window, IDC_TREEVIEW3004);
			wb_set_text($tree, "Set!");
			return true;

		case IDC_TREEVIEW3004:

			if($lparam == WBC_DBLCLICK) {
				wb_set_text(wb_get_control($window, IDC_STATIC3062), "Double-clicked.");
			} else {
				$text = wb_get_text(wb_get_control($window, $id));
				wb_set_text(wb_get_control($window, IDC_STATIC3062), $text);
				wb_set_enabled(wb_get_control($window, IDC_BUTTON3063),
					$text != "");
			}
			return true;

	}
	return false;
}

//-------------------------------------------------------------------------- END

?>