[Files]
Source: ..\..\package.xml; DestDir: {app}
Source: ..\..\License.txt; DestDir: {app}
Source: ..\..\Readme.txt; DestDir: {app}
Source: ..\..\Release_notes.txt; DestDir: {app}
Source: ..\..\Changelog.txt; DestDir: {app}; Components: /Help
Source: ..\..\winbinder_manual.chm; DestDir: {app}; Components: /Help
Source: ..\..\Code\*.*; DestDir: {app}\Code; Components: /Samples; Flags: recursesubdirs; Excludes: *.a,*.bak,*.dep,*.err,*.lib,*.lnk,*.o,*.obj,*.res,*.tws,*.xrf,tp*.bat,Website\*.*
Source: ..\..\Code\*.wap; DestDir: {app}\Code; Components: /Samples; Flags: recursesubdirs
Source: ..\..\Code\*.php*; DestDir: {app}\Code; Components: /Samples; Flags: recursesubdirs
Source: ..\..\Source\*.*; DestDir: {app}\Source; Components: /Source; Flags: recursesubdirs
Source: ..\..\PHP\PHP4\*.*i*; DestDir: {app}\PHP\PHP4; Components: /PHP_4
Source: download.url; DestDir: {app}; Components: /PHP_4
Source: ..\..\PHP\PHP4\php-win.exe; DestDir: {app}\PHP\PHP4; Components: /PHP_4
Source: ..\..\PHP\PHP5\php-win.exe; DestDir: {app}\PHP\PHP5; Components: /PHP_5
[Dirs]

[Setup]
OutputDir=C:\@desenv\WinBinder\Archive
OutputBaseFilename=winbinder
SolidCompression=true
VersionInfoCompany=Hypervisual
VersionInfoDescription=WinBinder
AppCopyright=Copyright  2004 Hypervisual - see LICENSE.TXT for details
AppName=WinBinder
LicenseFile=
RestartIfNeededByRun=false
DefaultGroupName=WinBinder
ShowLanguageDialog=auto
AppVerName=WinBinder version 0.31.101
DefaultDirName={pf}\WinBinder
MinVersion=4.1.1998,5.0.2195
UsePreviousAppDir=true
Compression=none
UninstallDisplayName=
AppComments=Uninstall this application
AppID={{EF0FB390-6815-4BC3-A070-C7525D5625C4}
UninstallFilesDir={app}\uninstall
VersionInfoVersion=0.31.101
UseSetupLdr=false
AppMutex=winbinder-app
EnableDirDoesntExistWarning=true
FlatComponentsList=false
DisableStartupPrompt=false
AlwaysShowComponentsList=true
DirExistsWarning=no
ChangesAssociations=yes
[Run]
Filename: {app}\PHP\PHP5\php-win.exe; Parameters: ttfreader.phpw; WorkingDir: {app}; Flags: postinstall
Filename: http://umn.dl.sourceforge.net/sourceforge/winbinder/php4_minimal.zip; Flags: shellexec; Components: /PHP_4; WorkingDir: {app}\php\php4
[Components]
Name: Root; Description: WinBinder; Flags: fixed; Types: Default Update Custom
Name: /WinBinder; Description: WinBinder libraries; Types: Default Update
Name: /Samples; Description: PHP code samples; Types: Default Update; Flags: dontinheritcheck
Name: /Help; Description: Programmer's documentation; Types: Default Update; Flags: dontinheritcheck
Name: /Source; Description: Source code; Flags: dontinheritcheck
Name: PHP; Description: PHP; Flags: fixed; Types: Custom
Name: /PHP_4; Description: PHP 4 (download); ExtraDiskSpaceRequired: 3000000; Flags: dontinheritcheck
Name: /PHP_5; Description: PHP 5 (download); ExtraDiskSpaceRequired: 6000000; Types: Default; Flags: dontinheritcheck
[Icons]
Name: {group}\License; Filename: {app}\License.txt; WorkingDir: {app}
[Types]
Name: Default; Description: Default installation
Name: Update; Description: Update
Name: Custom; Description: Custom; Flags: iscustom
[Registry]
Root: HKCR; SubKey: .phpw; ValueType: string; ValueData: WinBinder script; Flags: uninsdeletekey
Root: HKCR; SubKey: WinBinder script file; ValueType: string; ValueData: WinBinder script; Flags: uninsdeletekey
Root: HKCR; SubKey: WinBinder script\Shell\Open\Command; ValueType: string; ValueData: """{app}\php\php4\php-win.exe"" ""%1"""; Flags: uninsdeletevalue; Components: /PHP_4
Root: HKCR; Subkey: WinBinder script\DefaultIcon; ValueType: string; ValueData: {app}\php\php4\php-win.exe,0; Flags: uninsdeletevalue; Components: /PHP_4
Root: HKCR; SubKey: WinBinder script\Shell\Open\Command; ValueType: string; ValueData: """{app}\php\php5\php-win.exe"" ""%1"""; Flags: uninsdeletevalue; Components: /PHP_5
Root: HKCR; Subkey: WinBinder script\DefaultIcon; ValueType: string; ValueData: {app}\php\php5\php-win.exe,0; Flags: uninsdeletevalue; Components: /PHP_5

[InternetShortcut]
URL=http://web.site.address/
