/*******************************************************************************

 WINBINDER - A native Windows binding

 Copyright  2004 Hypervisual - see LICENSE.TXT for details
 Author: Rubem Pechansky (pechansky@hypervisual.com)

 Low-level functions

*******************************************************************************/

//----------------------------------------------------------------- DEPENDENCIES

#include "wb.h"

//-------------------------------------------------------------------- CONSTANTS

//-------------------------------------------------------------------- VARIABLES

//----------------------------------------------------------- PRIVATE PROTOTYPES

//------------------------------------------------------------- PUBLIC FUNCTIONS

LPARAM wbSendMessage(PWBOBJ pwbo, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	if(!pwbo || !pwbo->handle || !IsWindow(pwbo->handle))
		return 0;

	return SendMessage((HWND)pwbo->handle, uMsg, wParam, lParam);
}

BOOL wbSetWindowStyle(PWBOBJ pwbo, DWORD dwStyle, BOOL bExtended)
{
	SetLastError(0);	// See SetWindowLong() reference
	if(!SetWindowLong(pwbo->handle, GWL_STYLE, dwStyle) && GetLastError())
		return FALSE;
	if(!SetWindowLong(pwbo->handle, GWL_EXSTYLE, dwStyle) && GetLastError())
		return FALSE;
	else
		return TRUE;
}

//------------------------------------------------------------ PRIVATE FUNCTIONS

//------------------------------------------------------------------ END OF FILE
